---
title: Retry failed webhook delivery
slug: reference/retry-failed-webhook-delivery
docTags: 
createdAt: 2025-08-13T21:16:12.609Z
---

{
  "id": "MPwT6LAuWurY4mIRCL0kb",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://app.amberflo.io/webhook/retry",
    "servers": [
      {
        "url": "https://app.amberflo.io/webhook/retry"
      }
    ],
    "name": "Retry failed webhook delivery",
    "description": "<p>Retries a previously failed webhook delivery attempt using the original event data.\nUse this endpoint when testing your webhook integration or to manually re-trigger\na webhook that failed after initial delivery attempts.</p>\n<p>This operation sends the exact same payload as the original webhook request to\nyour configured endpoint. It's particularly useful for:</p>\n<ul>\n<li>Testing webhook endpoint connectivity during development</li>\n<li>Recovering from temporary endpoint outages</li>\n<li>Debugging webhook handling logic</li>\n</ul>\n<p><strong>Important Note:</strong> The retry operation does not update the corresponding account\nevent log entry - it remains as originally recorded.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Request body for retrying a failed webhook delivery attempt",
          "customType": "webhook-retry-request",
          "schema": [
            {
              "name": "accountEventId",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier of the account event for the webhook request to retry",
              "example": ""
            },
            {
              "name": "webhookId",
              "kind": "optional",
              "type": "string",
              "description": "Webhook configuration identifier to use for the retry request attempt",
              "example": ""
            },
            {
              "name": "destinationUrl",
              "kind": "optional",
              "type": "string",
              "description": "Override URL where the retry webhook payload will be sent via POST",
              "example": ""
            },
            {
              "name": "authHeader",
              "kind": "optional",
              "type": "array",
              "description": "Override authentication header key-value pair for the retry webhook request",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "extraHeaders",
              "kind": "optional",
              "type": "array",
              "description": "Override additional HTTP headers to include with the retry webhook request",
              "example": "",
              "itemType": "array",
              "customType": "array[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "modelRef": "#/components/schemas/webhook-retry-request",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "api_key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Webhook retry attempt completed with delivery status and response details",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response from a webhook retry attempt including HTTP status and response details",
            "customType": "webhook-retry-response",
            "schema": [
              {
                "name": "accountEventId",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the account event for the webhook request to retry",
                "example": ""
              },
              {
                "name": "webhookId",
                "kind": "optional",
                "type": "string",
                "description": "Webhook configuration identifier to use for the retry request attempt",
                "example": ""
              },
              {
                "name": "destinationUrl",
                "kind": "optional",
                "type": "string",
                "description": "Override URL where the retry webhook payload will be sent via POST",
                "example": ""
              },
              {
                "name": "authHeader",
                "kind": "optional",
                "type": "array",
                "description": "Override authentication header key-value pair for the retry webhook request",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "extraHeaders",
                "kind": "optional",
                "type": "array",
                "description": "Override additional HTTP headers to include with the retry webhook request",
                "example": "",
                "itemType": "array",
                "customType": "array[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "statusCode",
                "kind": "optional",
                "type": "integer",
                "description": "HTTP status code returned from the retry webhook request to your endpoint",
                "example": 0
              },
              {
                "name": "response",
                "kind": "optional",
                "type": "string",
                "description": "HTTP response body returned from the retry webhook request to your endpoint",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/webhook-retry-response",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "accountEventId",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the account event for the webhook request to retry",
                    "example": ""
                  },
                  {
                    "name": "webhookId",
                    "kind": "optional",
                    "type": "string",
                    "description": "Webhook configuration identifier to use for the retry request attempt",
                    "example": ""
                  },
                  {
                    "name": "destinationUrl",
                    "kind": "optional",
                    "type": "string",
                    "description": "Override URL where the retry webhook payload will be sent via POST",
                    "example": ""
                  },
                  {
                    "name": "authHeader",
                    "kind": "optional",
                    "type": "array",
                    "description": "Override authentication header key-value pair for the retry webhook request",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "extraHeaders",
                    "kind": "optional",
                    "type": "array",
                    "description": "Override additional HTTP headers to include with the retry webhook request",
                    "example": "",
                    "itemType": "array",
                    "customType": "array[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ],
                "modelRef": "#/components/schemas/webhook-retry-request",
                "customType": "webhook-retry-request"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "statusCode",
                    "kind": "optional",
                    "type": "integer",
                    "description": "HTTP status code returned from the retry webhook request to your endpoint",
                    "example": 0
                  },
                  {
                    "name": "response",
                    "kind": "optional",
                    "type": "string",
                    "description": "HTTP response body returned from the retry webhook request to your endpoint",
                    "example": ""
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid request parameters or malformed request body",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Missing or invalid API key authentication",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Insufficient permissions to access this resource",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Webhook event not found or no longer available for retry",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error occurred while processing request",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ZvVehCrhvtK4leD6AU6EK",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://app.amberflo.io/webhook/retry \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"accountEventId\": \"\"\n     }'"
        },
        {
          "id": "GYBTxuoQsCHJyhqEiQa1Y",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"accountEventId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/webhook/retry\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "zR-WCWp8aMStm0xapd1Wp",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/webhook/retry\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"accountEventId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "c_c7ovsqa0SlTtrKAWWos",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/webhook/retry\"\n\npayload = json.dumps({\n   \"accountEventId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ZvVehCrhvtK4leD6AU6EK"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Webhook retry attempt completed with delivery status and response details\n{\n  \"accountEventId\": \"\",\n  \"webhookId\": \"\",\n  \"destinationUrl\": \"\",\n  \"authHeader\": [\n    \"\"\n  ],\n  \"extraHeaders\": [\n    [\n      \"\"\n    ]\n  ],\n  \"statusCode\": 0,\n  \"response\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid request parameters or malformed request body\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Missing or invalid API key authentication\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Insufficient permissions to access this resource\n"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Webhook event not found or no longer available for retry\n"
        },
        {
          "id": "response-5-500",
          "language": "500",
          "code": "// Internal server error occurred while processing request\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "gjs8XGoI6Ca_--x6cwCfK"
    }
  ]
}